---
title: Delete Spectrum application
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Spectrum](https://developers.cloudflare.com/api/python/resources/spectrum)

[Apps](https://developers.cloudflare.com/api/python/resources/spectrum/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Spectrum application

spectrum.apps.delete(strapp\_id, AppDeleteParams\*\*kwargs) -> [AppDeleteResponse](<https://developers.cloudflare.com/api/python/resources/spectrum#(resource)%20spectrum.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)>)

DELETE/zones/{zone\_id}/spectrum/apps/{app\_id}

Deletes a previously existing application.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write`

##### ParametersExpand Collapse

zone\_id: str

Zone identifier.

maxLength32

[Link to this property](<#(resource)%20spectrum.apps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

app\_id: str

App identifier.

maxLength32

[Link to this property](<#(resource)%20spectrum.apps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AppDeleteResponse: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20spectrum.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20spectrum.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)>)

### Delete Spectrum application

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
app = client.spectrum.apps.delete(
    app_id="023e105f4ecef8ad9ca31a8372d0c353",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(app.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```